SDL_SetWindowSize(3)

NAME
SDL_SetWindowSize - Request that the size of a window's client area be set.

HEADER FILE
Defined in SDL3/SDL_video.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_SetWindowSize(SDL_Window *window, int w, int h);

DESCRIPTION
NULL can safely be passed as the w or h parameter if the width or height value is not desired. If, at the time of this request, the window in a fixed-size state, such as maximized or fullscreen, the request will be deferred until the window exits this state and becomes resizable again. To change the fullscreen mode of a window, use SDL_SetWindowFullscreenMode () On some windowing systems, this request is asynchronous and the new window size may not have have been applied immediately upon the return of this function. If an immediate change is required, call SDL_SyncWindow () to block until the changes have taken effect. When the window size changes, an SDL_EVENT_WINDOW_RESIZED
 event will be emitted with the new window dimensions. Note that the new dimensions may not match the exact size requested, as some windowing systems can restrict the window size in certain scenarios (e.g. constraining the size of the content area to remain within the usable desktop bounds). Additionally, as this is just a request, it can be denied by the windowing system.

FUNCTION PARAMETERS

window
    the window to change

w   the width of the window, must be > 0

h   the height of the window, must be > 0

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetWindowSize(3), SDL_SetWindowFullscreenMode(3), SDL_SyncWindow(3)